Bouncy Castle Cryptography Library 1.40

## org.bouncycastle.cms
Class CMSEnvelopedGenerator.RecipientInf

    java.lang.Object
      org.bouncycastle.cms.CMSEnvelopedGenerator.RecipientInf

Enclosing class:
  CMSEnvelopedGenerator

    protected class CMSEnvelopedGenerator.RecipientInf

extends java.lang.Object

Constructor Summary
`CMSEnvelopedGenerator.RecipientInf(javax.crypto.SecretKey secretKey, org.bouncycastle.asn1.x509.AlgorithmIdentifier derivationAlg)`
`CMSEnvelopedGenerator.RecipientInf(javax.crypto.SecretKey secretKey, java.lang.String algorithm, java.lang.String wrapOid, org.bouncycastle.asn1.cms.OriginatorIdentifierOrKey originator, java.security.cert.X509Certificate cert)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSEnvelopedGenerator.RecipientInf

    public CMSEnvelopedGenerator.RecipientInf(javax.crypto.SecretKey secretKey,
                                              java.lang.String algorithm,
                                              java.lang.String wrapOid,
                                              org.bouncycastle.asn1.cms.OriginatorIdentifierOrKey originator,
                                              java.security.cert.X509Certificate cert)

### CMSEnvelopedGenerator.RecipientInf

    public CMSEnvelopedGenerator.RecipientInf(javax.crypto.SecretKey secretKey,
                                              org.bouncycastle.asn1.x509.AlgorithmIdentifier derivationAlg)

Bouncy Castle Cryptography Library 1.40